# $Id: aniemoticons.tcl 1001 2007-03-04 10:32:59Z sergei $

namespace eval :: {
    source [file join [file dirname [info script]] anigif.tcl]
}

namespace eval emoticons {
    proc create_image {name file} {
	if {[catch {::anigif::anigif $name $file} res]} {
	    image create photo $name -file $file
	    return $name
	} else {
	    return $res
	}
    }

    proc delete_image {name} {
	::anigif::destroy $name
    }
}

